/*
 * The MIT License
 *
 * Copyright 2011 Jacob Dilles.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
package edu.gmu.ece445.lc2200;

/**
 * The Macro Instructions are unofficial extentions to the LC-2200 assembly
 * language which use the same syntax conventions as the hardware instructions
 * but are actually composites consisting of one or more hardware or macro
 * commands. 
 * @author Jacob Dilles
 */
public class MacroInstruction extends AssemblyInstruction {

    private static final String MACRO_ALIAS = "nop";

    private String macroCmd = MACRO_ALIAS;
    
    public MacroInstruction(String label, String address, String cmd, String args, String comment) {
        super(label, address, MACRO_ALIAS, args, comment);
        macroCmd = cmd;
    }
    
    
    
    public MacroInstruction(int word) {
        super(word);
    }
 
    
}
